package net.knarcraft.bookswithoutborders.state;

/**
 * This enum represents the different relevant item slots a target item can exist in
 */
public enum ItemSlot {

    /**
     * The item is in the player's main hand
     */
    MAIN_HAND,

    /**
     * The item is in the player's off hand
     */
    OFF_HAND,

    /**
     * The player does not have the item, or it is ambiguous
     */
    NONE

}
