package net.knarcraft.bookswithoutborders.util;

import net.knarcraft.bookswithoutborders.utility.FileHelper;
import org.junit.Test;

import java.io.File;

import static org.junit.Assert.assertEquals;

public class FileHelperTest {

    @Test
    public void findDuplicatesTest() {
        File[] files = new File[5];
        files[0] = new File("test/asd/book+)Fish.yml");
        files[1] = new File("test/asd/book+)Crab.yml");
        files[2] = new File("test/asd/(3)book+)Crab.yml");
        files[3] = new File("test/asd/(2)book+)Crab.yml");
        files[4] = new File("test/asd/(1)book+)Crab.yml");
        assertEquals(4, FileHelper.findDuplicates(files, "book+)Crab.yml"));
        assertEquals(1, FileHelper.findDuplicates(files, "book+)Fish.yml"));
        assertEquals(0, FileHelper.findDuplicates(files, "book+)Horse.yml"));
    }

}
